Exchange Access Token
Create access token for monitoring the given external resource entities.
Creates an access token for monitoring the provided external resource entities. This is a privileged API that takes an existing VCF access token (JWT) and a set of external resource entities to monitor, and generates a new token that asserts the right to access those entities.
Request
URI
POST
https://{api_host}/cloudapi/v1/metrics/monitoringToken
COPY
Request Body
MonitoringTokenExchangeRequest
of type(s)
application/json
Required
{
"access_token": "string",
"entitled_entities": [
{
"id": "string",
"object_ref": "string"
}
]
}
string
access_token
Optional
This contains the valid Provider Management access token (JWT) that is being used for exchange.
array of
object
entitled_entities
Optional
Constraints:
maxItems: 1024
This contains the external resource entities that are being requested for monitoring.
Responses
200
OK
Returns
MonitoringToken
of type(s)
application/json;version=9.1.0
{
"access_token": "string"
}
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/cloudapi/v1/metrics/monitoringToken
Availability
Added in 9.0.0
Monitoring Token Operations
POST
Create Projects Access Token
POST
Create Project Access Token
POST
Create Namespaces Access Token
POST
Create Namespace Access Token
POST
Create Regions Access Token
POST
Create Region Access Token
POST
Exchange Access Token